All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.sasserver
Class _rprxRemoteBookmarkManagerServer

    com.sas.sasserver._rprxRemoteBookmarkManagerServer

All Implemented Interfaces:
  com.sas.rmi.RemoteBaseInterface, com.sas.rmi.RMIBaseInterface, com.sas.rmi.RocfORBReferenceObjectInterface, com.sas.rmi.RocfORBTreeInterface, _rprxRemoteBookmarkManager, java.io.Serializable, java.rmi.Remote

    public class _rprxRemoteBookmarkManagerServer

implements _rprxRemoteBookmarkManager

See Also:
  Serialized Form

Constructor Summary
`_rprxRemoteBookmarkManagerServer()`

Method Summary
`com.sas.collection.hlist.HListInterface` | `_getBookmarkData(com.sas.collection.hlist.HListInterface p1)`
`com.sas.collection.hlist.HListInterface` | `_getBookmarks(long p1, java.lang.String p2)`
`com.sas.collection.hlist.HListInterface` | `_getBookmarks(long p1, java.lang.String p2, java.lang.String p3)`
`java.lang.String[]` | `_getMessage()`
`com.sas.collection.hlist.HListInterface` | `_getUsers(long p1, boolean p2)`
`void` | `_RemoteConstructor()`
`void` | `_RemoteObject_getInstance()`
`void` | `_RemoteObject_newInstance()`
`long` | `_setBookmarks(java.lang.String p1, long p2, java.lang.String p3, java.lang.String p4, com.sas.collection.hlist.HListInterface p5)`
`long` | `_validateUser(java.lang.String p1, java.lang.String p2)`
`java.lang.Object` | `getBookmarkData(java.lang.Object p1)`
`java.lang.Object` | `getBookmarks(long p1, java.lang.String p2)`
`java.lang.Object` | `getBookmarks(long p1, java.lang.String p2, java.lang.String p3)`
`java.lang.String[]` | `getUsers(long p1, boolean p2)`
`static void` | `main(java.lang.String[] args)`
`void` | `setBookmarks(java.lang.String p1, long p2, java.lang.String p3, java.lang.String p4, java.lang.Object p5)`
`void` | `stop()`
`int` | `validateUser(java.lang.String p1, java.lang.String p2)`

Constructor Detail

### _rprxRemoteBookmarkManagerServer

    public _rprxRemoteBookmarkManagerServer()
                                     throws java.rmi.RemoteException,
                                            java.lang.Exception

Throws:
  `java.rmi.RemoteException`
  `java.lang.Exception`

Method Detail

### stop

    public void stop()

  Overrides:
    `stop` in class `com.sas.rmi.RMIBaseServer`

### main

    public static void main(java.lang.String[] args)

### _RemoteObject_newInstance

    public void _RemoteObject_newInstance()
                                   throws java.rmi.RemoteException,
                                          java.lang.Exception

  Specified by:
    `_RemoteObject_newInstance` in interface `com.sas.rmi.RemoteBaseInterface`
  Overrides:
    `_RemoteObject_newInstance` in class `com.sas.rmi.RMIBaseServer`
  Throws:
    `java.rmi.RemoteException`
    `java.lang.Exception`

### _RemoteObject_getInstance

    public void _RemoteObject_getInstance()
                                   throws java.rmi.RemoteException,
                                          java.lang.Exception

  Specified by:
    `_RemoteObject_getInstance` in interface `com.sas.rmi.RemoteBaseInterface`
  Overrides:
    `_RemoteObject_getInstance` in class `com.sas.rmi.RMIBaseServer`
  Throws:
    `java.rmi.RemoteException`
    `java.lang.Exception`

### _RemoteConstructor

    public void _RemoteConstructor()
                            throws java.rmi.RemoteException

  Specified by:
    `_RemoteConstructor` in interface `_rprxRemoteBookmarkManager`
  Throws:
    `java.rmi.RemoteException`

### getBookmarks

    public java.lang.Object getBookmarks(long p1,
                                         java.lang.String p2)
                                  throws BookmarkException,
                                         com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getBookmarks` in interface `_rprxRemoteBookmarkManager`
  Throws:
    `BookmarkException`
    `com.sas.rmi.ServerBusyTimeoutException`

### getBookmarks

    public java.lang.Object getBookmarks(long p1,
                                         java.lang.String p2,
                                         java.lang.String p3)
                                  throws BookmarkException,
                                         com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getBookmarks` in interface `_rprxRemoteBookmarkManager`
  Throws:
    `BookmarkException`
    `com.sas.rmi.ServerBusyTimeoutException`

### setBookmarks

    public void setBookmarks(java.lang.String p1,
                             long p2,
                             java.lang.String p3,
                             java.lang.String p4,
                             java.lang.Object p5)
                      throws BookmarkException,
                             com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `setBookmarks` in interface `_rprxRemoteBookmarkManager`
  Throws:
    `BookmarkException`
    `com.sas.rmi.ServerBusyTimeoutException`

### getUsers

    public java.lang.String[] getUsers(long p1,
                                       boolean p2)
                                throws BookmarkException,
                                       com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getUsers` in interface `_rprxRemoteBookmarkManager`
  Throws:
    `BookmarkException`
    `com.sas.rmi.ServerBusyTimeoutException`

### validateUser

    public int validateUser(java.lang.String p1,
                            java.lang.String p2)
                     throws BookmarkException,
                            com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `validateUser` in interface `_rprxRemoteBookmarkManager`
  Throws:
    `BookmarkException`
    `com.sas.rmi.ServerBusyTimeoutException`

### getBookmarkData

    public java.lang.Object getBookmarkData(java.lang.Object p1)
                                     throws BookmarkException,
                                            com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getBookmarkData` in interface `_rprxRemoteBookmarkManager`
  Throws:
    `BookmarkException`
    `com.sas.rmi.ServerBusyTimeoutException`

### _getBookmarks

    public com.sas.collection.hlist.HListInterface _getBookmarks(long p1,
                                                                 java.lang.String p2)
                                                          throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getBookmarks` in interface `_rprxRemoteBookmarkManager`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getBookmarks

    public com.sas.collection.hlist.HListInterface _getBookmarks(long p1,
                                                                 java.lang.String p2,
                                                                 java.lang.String p3)
                                                          throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getBookmarks` in interface `_rprxRemoteBookmarkManager`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _setBookmarks

    public long _setBookmarks(java.lang.String p1,
                              long p2,
                              java.lang.String p3,
                              java.lang.String p4,
                              com.sas.collection.hlist.HListInterface p5)
                       throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_setBookmarks` in interface `_rprxRemoteBookmarkManager`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getUsers

    public com.sas.collection.hlist.HListInterface _getUsers(long p1,
                                                             boolean p2)
                                                      throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getUsers` in interface `_rprxRemoteBookmarkManager`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _validateUser

    public long _validateUser(java.lang.String p1,
                              java.lang.String p2)
                       throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_validateUser` in interface `_rprxRemoteBookmarkManager`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getMessage

    public java.lang.String[] _getMessage()
                                   throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getMessage` in interface `_rprxRemoteBookmarkManager`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getBookmarkData

    public com.sas.collection.hlist.HListInterface _getBookmarkData(com.sas.collection.hlist.HListInterface p1)
                                                             throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getBookmarkData` in interface `_rprxRemoteBookmarkManager`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.